## org.apache.xalan.xsltc.runtime
Interface Constants

All Known Implementing Classes:
  SAX2DOM

    public interface Constants

This class defines constants used by both the compiler and the runtime system.

Author:
  Jacek Ambroziak, Santiago Pericas-Geertsen

Field Summary
`static int` `ANY`
`static int` `ATTRIBUTE`
`static int` `COMMENT`
`static int` `ELEMENT`
`static java.lang.String` `EMPTYSTRING`
`static java.lang.String` `NAMESPACE_FEATURE`
`static int` `PROCESSING_INSTRUCTION`
`static int` `ROOT`
`static int` `TEXT`
`static java.lang.String` `XML_PREFIX`
`static java.lang.String` `XMLNS_PREFIX`
`static java.lang.String` `XMLNS_STRING`
`static java.lang.String` `XMLNS_URI`
`static java.lang.String` `XSLT_URI`

Field Detail

### ANY

    static final int ANY

See Also:
  Constant Field Values

### ATTRIBUTE

    static final int ATTRIBUTE

See Also:
  Constant Field Values

### ROOT

    static final int ROOT

See Also:
  Constant Field Values

### TEXT

    static final int TEXT

See Also:
  Constant Field Values

### ELEMENT

    static final int ELEMENT

See Also:
  Constant Field Values

### COMMENT

    static final int COMMENT

See Also:
  Constant Field Values

### PROCESSING_INSTRUCTION

    static final int PROCESSING_INSTRUCTION

See Also:
  Constant Field Values

### XSLT_URI

    static final java.lang.String XSLT_URI

See Also:
  Constant Field Values

### NAMESPACE_FEATURE

    static final java.lang.String NAMESPACE_FEATURE

See Also:
  Constant Field Values

### EMPTYSTRING

    static final java.lang.String EMPTYSTRING

See Also:
  Constant Field Values

### XML_PREFIX

    static final java.lang.String XML_PREFIX

See Also:
  Constant Field Values

### XMLNS_PREFIX

    static final java.lang.String XMLNS_PREFIX

See Also:
  Constant Field Values

### XMLNS_STRING

    static final java.lang.String XMLNS_STRING

See Also:
  Constant Field Values

### XMLNS_URI

    static final java.lang.String XMLNS_URI

See Also:
  Constant Field Values

Copyright © 2005 Apache XML Project. All Rights Reserved.